// @ts-check
import { defineConfig } from 'astro/config';
import node from '@astrojs/node';

export default defineConfig({
    output: 'server',
    adapter: node({ mode: 'standalone' }),
    outDir: './dist',
    server: { port: 4321 },
    vite: {
        server: {
            proxy: {
                '/api': 'http://127.0.0.1:8888',
            },
        },
    },
});
